package net.northking.cctp.se.lifecycle.entity;

/**
 * 线程池是否启用请求参数实体类
 */
public class ThreadPoolAllowDto {
    /**
     * 是否启用PCUI执行器
     * @return
     */
    private Boolean pcuiAllow;

    /**
     * 是否启用移动端执行器
     * @return
     */
    private Boolean mobileAllow;

    /**
     * 是否启用接口执行器
     * @return
     */
    private Boolean interfaceAllow;

    public Boolean getPcuiAllow() {
        return pcuiAllow;
    }

    public void setPcuiAllow(Boolean pcuiAllow) {
        this.pcuiAllow = pcuiAllow;
    }

    public Boolean getMobileAllow() {
        return mobileAllow;
    }

    public void setMobileAllow(Boolean mobileAllow) {
        this.mobileAllow = mobileAllow;
    }

    public Boolean getInterfaceAllow() {
        return interfaceAllow;
    }

    public void setInterfaceAllow(Boolean interfaceAllow) {
        this.interfaceAllow = interfaceAllow;
    }
}
